Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Asynch_Operation_Impl Class Reference

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Operation. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Operation_Impl:

[legend]
List of all members.

## Public Member Functions
virtual | ~ACE_Asynch_Operation_Impl (void)
virtual int | open (const ACE_Handler::Proxy_Ptr &handler_proxy, ACE_HANDLE handle, const void *completion_key, ACE_Proactor *proactor)=0
virtual int | cancel (void)=0
virtual ACE_Proactor * | proactor (void) const =0
| Return the underlying proactor.
## Protected Member Functions
| ACE_Asynch_Operation_Impl (void)
| Do-nothing constructor.

## Detailed Description

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Operation.

## Constructor & Destructor Documentation

ACE_Asynch_Operation_Impl::~ACE_Asynch_Operation_Impl | ( | void |  | ) | `[virtual]`

ACE_INLINE ACE_Asynch_Operation_Impl::ACE_Asynch_Operation_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

## Member Function Documentation

virtual int ACE_Asynch_Operation_Impl::cancel | ( | void |  | ) | `[pure virtual]`

| This cancels all pending accepts operations that were issued by the calling thread. The function does not cancel asynchronous operations issued by other threads. Implemented in ACE_POSIX_Asynch_Operation, ACE_POSIX_Asynch_Accept, ACE_POSIX_Asynch_Connect, ACE_WIN32_Asynch_Operation, ACE_WIN32_Asynch_Read_Stream, ACE_WIN32_Asynch_Write_Stream, ACE_WIN32_Asynch_Read_File, ACE_WIN32_Asynch_Write_File, ACE_WIN32_Asynch_Accept, ACE_WIN32_Asynch_Connect, ACE_WIN32_Asynch_Transmit_File, ACE_WIN32_Asynch_Read_Dgram, and ACE_WIN32_Asynch_Write_Dgram.

virtual int ACE_Asynch_Operation_Impl::open | ( | const ACE_Handler::Proxy_Ptr & | handler_proxy,
|  | ACE_HANDLE | handle,
|  | const void * | completion_key,
|  | ACE_Proactor * | proactor
| ) | `[pure virtual]`

| Initializes the factory with information which will be used with each asynchronous call. If handle == ACE_INVALID_HANDLE, ACE_Handler::handle() will be called on the proxied handler to get the correct handle. Implemented in ACE_POSIX_Asynch_Operation, ACE_POSIX_Asynch_Accept, ACE_POSIX_Asynch_Connect, ACE_WIN32_Asynch_Operation, ACE_WIN32_Asynch_Read_Stream, ACE_WIN32_Asynch_Write_Stream, ACE_WIN32_Asynch_Read_File, ACE_WIN32_Asynch_Write_File, ACE_WIN32_Asynch_Accept, ACE_WIN32_Asynch_Connect, ACE_WIN32_Asynch_Transmit_File, ACE_WIN32_Asynch_Read_Dgram, and ACE_WIN32_Asynch_Write_Dgram.

virtual ACE_Proactor* ACE_Asynch_Operation_Impl::proactor | ( | void |  | ) | const`[pure virtual]`

| Return the underlying proactor. Implemented in ACE_POSIX_Asynch_Operation, ACE_WIN32_Asynch_Operation, ACE_WIN32_Asynch_Read_Stream, ACE_WIN32_Asynch_Write_Stream, ACE_WIN32_Asynch_Read_File, ACE_WIN32_Asynch_Write_File, ACE_WIN32_Asynch_Accept, ACE_WIN32_Asynch_Connect, ACE_WIN32_Asynch_Transmit_File, ACE_WIN32_Asynch_Read_Dgram, and ACE_WIN32_Asynch_Write_Dgram.

The documentation for this class was generated from the following files:

- Asynch_IO_Impl.h
- Asynch_IO_Impl.cpp
- Asynch_IO_Impl.inl